> ## Documentation Index
> Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取已发现 URL

> 获取某次发现任务找到的 URL 列表。

## GET /discovery/{discoveryId}/urls

返回指定发现任务发现的 URL 列表。建议在任务完成后再调用。

### 路径参数

<ParamField path="discoveryId" type="string" required>
  发现任务 ID。
</ParamField>

### 查询参数

<ParamField query="page" type="number" default="1">
  分页页码。
</ParamField>

<ParamField query="limit" type="number" default="50">
  每页条数（最大 100）。
</ParamField>

### 响应

<ResponseField name="urls" type="array">
  URL 对象数组。

  <Expandable title="url 字段">
    <ResponseField name="url" type="string">
      发现的 URL。
    </ResponseField>

    <ResponseField name="title" type="string">
      页面标题（若有）。
    </ResponseField>

    <ResponseField name="lastModified" type="string">
      站点地图中的最近修改时间（若有）。
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="total" type="number">
  URL 总数。
</ResponseField>

<ResponseField name="page" type="number">
  当前页码。
</ResponseField>

<ResponseField name="totalPages" type="number">
  总页数。
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET "https://api.llmgenerator.com/api/v1/discovery/550e8400-e29b-41d4-a716-446655440000/urls?limit=20" \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```

  ```javascript Node.js theme={null}
  const response = await fetch(
    'https://api.llmgenerator.com/api/v1/discovery/550e8400-e29b-41d4-a716-446655440000/urls',
    {
      headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
    }
  );

  const data = await response.json();
  ```
</RequestExample>

<ResponseExample>
  ```json Success (200) theme={null}
  {
    "urls": [
      {
        "url": "https://example.com/",
        "title": "Example Domain - Home",
        "lastModified": "2026-01-15T00:00:00.000Z"
      },
      {
        "url": "https://example.com/about",
        "title": "About Us",
        "lastModified": "2026-01-10T00:00:00.000Z"
      },
      {
        "url": "https://example.com/contact",
        "title": "Contact",
        "lastModified": null
      }
    ],
    "total": 47,
    "page": 1,
    "totalPages": 3
  }
  ```
</ResponseExample>
